Bug 1044187 - [RFE] logconv.pl - add on option for a minimum etime for unindexed search stats
Summary: [RFE] logconv.pl - add on option for a minimum etime for unindexed search stats
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-17 21:47 UTC by Nathan Kinder
Modified: 2015-03-05 09:32 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:32:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Nathan Kinder 2013-12-17 21:47:43 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47535

It would nice to see only unindexed searches with etimes that are greater than 0 seconds.  This makes it easier to track down any significant/expensive unindexed searches.

Comment 1 Noriko Hosoi 2014-07-16 00:25:58 UTC
Please verify the man page and Usage show
-T <min etime> (DS 47535)
as well as 
-U       Unindexed Search Summary (DS 47812)

and the options return the expected results.

Comment 2 mreynolds 2014-07-16 18:21:39 UTC
Ticket 47812 is fixed upstream

Comment 5 Viktor Ashirov 2014-11-20 15:25:31 UTC
$ rpm -qa | grep 389
389-ds-base-1.3.3.1-9.el7.x86_64
389-ds-base-libs-1.3.3.1-9.el7.x86_64

logconv.pl Usage and man page contain these options.

1. logconv.pl -u -T 1 access* 
Works as expected, returns unindexed searches with etime bigger than 1. 
2. logconv.pl -U access*
Works as expected, returns Unindexed Search Summary.
3. logconv.pl -U -T 1 access*
Works as expected, returns Unindexed Search Summary and shows Unindexed Component Summary with etime bigger than 1.

There is a minor issue with formatting in logconv.pl usage:
         -B, --bind         <ALL | ANONYMOUS | "Actual Bind DN">
	        -T, --minEtime     <minimum etime to report unindexed searches>
         -V, --verbose      <enable verbose output - includes all stats listed below>
Line with -T contains <TAB> character making this options look like a suboption to -B.

Other that that, new functionality works as expected, thus marking this bug as VERIFIED.

Comment 7 errata-xmlrpc 2015-03-05 09:32:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.